Subject: Re: violation error
From: Andrew Markebo <[email-masked]>
To: "Nicolas Grehalle" <[email-masked]>
Cc: <[email-masked]>
Date: 14 Aug 2001 11:54:37 +0200

BTW Status access violation, is the executable located on
network-drive or local-drive.. if networked, try local drive.. 

| > Add some printfs to main so you can see approx where in main it dies.
| 
| with a printf just after int main(....) {

So it dies before main gets called? 

OK, either problems with cygwin, or the libs you link in, do a simple
hello world c-file, if that works, there seems to be a problem with
the libs you use.

Add the libraries you link with and try again.. see if it still prints
hello world.. 

        /Andy

| 
| $ ./EFLmemen.cgi
|       0 [main] EFLmemen.cgi 363 open_stackdumpfile: Dumping stack trace to
| EFLmemen.cgi.stackdump
| Segmentation fault (core dumped)
| 
| $ strace -o EFLmemen.cgi.stackdump EFLmemen.cgi
|   83652 [main] EFLmemen.cgi 431 handle_exceptions: Exception:
| STATUS_ACCESS_VIOLATION
| Exception: STATUS_ACCESS_VIOLATION at eip=00009B58
| eax=00009B58 ebx=0050E39C ecx=00000000 edx=610900A0 esi=0050E388
| edi=00000000
| ebp=0258F9E4 esp=0258F9C8
| program=d:\Unix\MEMENTOS\srccgi\RECHERCH\EFLmemen.cgi
| cs=001B ds=0023 es=0023 fs=0038 gs=0000 ss=0023
| Stack trace:
| Frame     Function  Args
| 0258F9E4  00009B58  (0050E388, 00000000, FEEEFEEE, 00000098)
| 0258FA04  61003DC6  (77F8D6C6, 025940F8, 00000168, FEEEFEEE)
| 0258FEA4  00426202  (00000001, 10030EF8, 10030008, 00420000)
| 0258FF10  61003AEA  (00000000, 13121110, 77F863D3, 77F863DB)
| 0258FF40  61003CBD  (004261F4, 13121110, 80134EE1, F923CDB8)
| 0258FF60  61003CFC  (00000000, 00000000, 00000018, 8014FBA0)
| 0258FF90  004F3A2B  (004261F4, 00000000, 00000030, 817DE680)
| 0258FFC0  0040103D  (13121110, 17161514, 7FFDF000, 7FFDF000)
| 0258FFF0  77F1B9EA  (00401000, 00000000, 000000B0, 00000100)
| End of stack trace
| 
| >         /Andy
| >
| > / "Nicolas Grehalle" <[email-masked]> wrote:
| > |
| >
| > [...]
| > | >
| > | > When i'm using GDB, i have the message "Program received signal
| SIGSEGV, =
| > | > Segmentation Fault at the beginning of the execution (it seems to me =
| > | > that the program crashes at the beginning).
| > | >
| > | > the compilation options are :
| > | > CFLAGS          =3D -g -Wall -D_TRACE_ -I$(WEBINC) -I$(GTIINC) =
| > | > -I$(EF1INC) -I$(EF2INC) -I$(EF3INC) -I$(LDAINC) -I$(MSQINC) -x c++
| > |
| > -enum-int-equiv -static -DANSI -DGNUCC -DPC2UX -D_CLIENT -DVERBOSE -DHB =
| > | > -DANSIP -DGNU_INTEL
| > | >
| > | > it is correct ?
| > | >
| > | > Any idea.
| > | >
| > | > Thanks for any help
| > | >
| > | > N.
| > | >
| > | >
| > | >
| > | > ------=_NextPart_000_0123_01C124B0.CE74A700
| > | > Content-Type: text/html;
| > | > charset="iso-8859-1"
| > | > Content-Transfer-Encoding: quoted-printable
| > | >
| > | > <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
| > | > <HTML><HEAD>
| > | > <META content=3D"text/html; charset=3Diso-8859-1" =
| > | > http-equiv=3DContent-Type>
| > | > <META content=3D"MSHTML 5.00.2314.1000" name=3DGENERATOR>
| > | > <STYLE></STYLE>
| > | > </HEAD>
| > | > <BODY bgColor=3D#ffffff>
| > | > <DIV><FONT face=3DArial size=3D2>hello,</FONT></DIV>
| > | > <DIV>&nbsp;</DIV>
| > | > <DIV><FONT face=3DArial size=3D2>i'm just beginning to use Cygwin on a
| =
| > | > NT machine=20
| > | > (sorry for english mistakes, that's not my mother =
| > | > language).</FONT></DIV>
| > | > <DIV><FONT face=3DArial size=3D2></FONT>&nbsp;</DIV>
| > | > <DIV><FONT face=3DArial size=3D2>I must put a Unix program (CGI in =
| > | > C/C++) on NT with=20
| > | > Cygwin.</FONT></DIV>
| > | > <DIV>&nbsp;</DIV>
| > | > <DIV><FONT face=3DArial size=3D2>The compilation is ok, but when =
| > | > i&nbsp;run the=20
| > | > program,&nbsp;i have an error :</FONT></DIV>
| > | > <DIV>&nbsp;</DIV>
| > | > <DIV>&nbsp;<FONT face=3DArial size=3D2>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
| 0 =
| > | > [main]=20
| > | > EFLmemen.cgi 447 open_stackdumpfile: Dumping stack trace to=20
| > | > EFLmemen.cgi.stackdump<BR>Segmentation fault (core
| dumped)</FONT></DIV>
| > | > <DIV>&nbsp;</DIV>
| > | > <DIV><FONT face=3DArial size=3D2>In this file :</FONT></DIV>
| > | > <DIV>&nbsp;</DIV>
| > | > <DIV><FONT face=3DArial size=3D2>&nbsp; 53806 [main] EFLmemen.cgi
| 447=20
| > | > handle_exceptions: Exception: STATUS_ACCESS_VIOLATION<BR>Exception:=20
| > | > STATUS_ACCESS_VIOLATION at eip=3D00009B58<BR>eax=3D00009B58 =
| > | > ebx=3D0050E37C=20
| > | > ecx=3D00000000 edx=3D610900A0 esi=3D0050E368 =
| > | > edi=3D00000000<BR>ebp=3D0258F9E4 esp=3D0258F9C8=20
| > | > program=3Dd:\Unix\MEMENTOS\srccgi\RECHERCH\EFLmemen.cgi<BR>cs=3D001B =
| > | > ds=3D0023 es=3D0023=20
| > | > fs=3D0038 gs=3D0000 ss=3D0023<BR>Stack =
| > | > trace:<BR>Frame&nbsp;&nbsp;&nbsp;&nbsp;=20
| > | > Function&nbsp; Args<BR>0258F9E4&nbsp; 00009B58&nbsp; (0050E368, =
| > | > 00000000,=20
| > | > FEEEFEEE, 00000098)<BR>0258FA04&nbsp; 61003DC6&nbsp; (77F8D6C6, =
| > | > 025940F8,=20
| > | > 00000168, FEEEFEEE)<BR>0258FEA4&nbsp; 004261E2&nbsp; (00000001, =
| > | > 10030EF8,=20
| > | > 10030008, 00420000)<BR>0258FF10&nbsp; 61003AEA&nbsp; (00000000, =
| > | > 13121110,=20
| > | > 77F863D3, 77F863DB)<BR>0258FF40&nbsp; 61003CBD&nbsp; (004261D4, =
| > | > 13121110,=20
| > | > 80134EE1, F8DE4DB8)<BR>0258FF60&nbsp; 61003CFC&nbsp; (00000000, =
| > | > 00000000,=20
| > | > 00000018, 8014FBA0)<BR>0258FF90&nbsp; 004F3A0B&nbsp; (004261D4, =
| > | > 00000000,=20
| > | > 00000030, 805B5C20)<BR>0258FFC0&nbsp; 0040103D&nbsp; (13121110, =
| > | > 17161514,=20
| > | > 7FFDF000, 7FFDF000)<BR>0258FFF0&nbsp; 77F1B9EA&nbsp; (00401000, =
| > | > 00000000,=20
| > | > 000000B0, 00000100)<BR>End of stack trace</FONT></DIV>
| > | > <DIV>&nbsp;</DIV>
| > | > <DIV><FONT face=3DArial size=3D2>How use this information to find the
| =
| > | > problem=20
| > | > ?</FONT></DIV>
| > | > <DIV>&nbsp;</DIV>
| > | > <DIV><FONT face=3DArial size=3D2>When i'm using GDB, i have the
| message =
| > | > "Program=20
| > | > received signal SIGSEGV, Segmentation Fault at the beginning of the =
| > | > execution=20
| > | > (it seems to me that the program crashes at the
| beginning).</FONT></DIV>
| > | > <DIV>&nbsp;</DIV>
| > | > <DIV><FONT face=3DArial size=3D2>the compilation options are =
| > | > :</FONT></DIV>
| > | > <DIV><FONT face=3DArial=20
| > | > size=3D2>CFLAGS&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
| =
| > | > =3D -g -Wall=20
| > |
| > -D_TRACE_ -I$(WEBINC) -I$(GTIINC) -I$(EF1INC) -I$(EF2INC) -I$(EF3INC)=20
| > | > -I$(LDAINC) -I$(MSQINC) -x
| c++<BR>-enum-int-equiv -static -DANSI -DGNUCC =
| > | > -DPC2UX=20
| > | > -D_CLIENT -DVERBOSE -DHB -DANSIP -DGNU_INTEL</FONT></DIV>
| > | > <DIV>&nbsp;</DIV>
| > | > <DIV><FONT face=3DArial size=3D2>it is correct ?</FONT></DIV>
| > | > <DIV>&nbsp;</DIV>
| > | > <DIV><FONT face=3DArial size=3D2>Any idea.</FONT></DIV>
| > | > <DIV>&nbsp;</DIV>
| > | > <DIV><FONT face=3DArial size=3D2>Thanks for any help</FONT></DIV>
| > | > <DIV>&nbsp;</DIV>
| > | > <DIV><FONT face=3DArial size=3D2>N.</FONT></DIV>
| > | > <DIV>&nbsp;</DIV>
| > | > <DIV>&nbsp;</DIV></BODY></HTML>
| > | >
| > | > ------=_NextPart_000_0123_01C124B0.CE74A700--
| > | >
| > | >
| > |
| > |
| > | --
| > | Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
| > | Bug reporting:         http://cygwin.com/bugs.html
| > | Documentation:         http://cygwin.com/docs.html
| > | FAQ:                   http://cygwin.com/faq/
| >
| 
| 
| --
| Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
| Bug reporting:         http://cygwin.com/bugs.html
| Documentation:         http://cygwin.com/docs.html
| FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/